<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: sliding_info_panel.php
| Author: jikaka
| Site: http://www.rusfusion.ru
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."sliding_info_panel/infusion_db.php";
	
if (file_exists(INFUSIONS."sliding_info_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."sliding_info_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."sliding_info_panel/locale/English.php";
}

add_to_head("
<link rel='stylesheet' href='".INFUSIONS."sliding_info_panel/css/styles.css' type='text/css' media='screen' />
<script type='text/javascript' src='http://jqueryjs.googlecode.com/files/jquery-1.3.2.js'></script>
<script type='text/javascript'>
$(document).ready(function(){
	$('.trigger').click(function(){
		$('.panel').toggle('fast');
		$(this).toggleClass('active');
		return false;
	});
});
</script>");

$sip_settings = dbarray(dbquery("SELECT * FROM ".DB_SLIDING_INFO));

echo "<div class='panel'>\n";
echo nl2br(parseubb(parsesmileys(html_entity_decode($sip_settings['msg_msg']))));
echo "<div style='clear:both;'></div>\n";
echo "</div>\n";
echo "<a class='trigger' href='#'>".$locale['sip021']."</a>\n";
?>